
Component({
  mixins: [],
  data: {
    show: false
  },
  props: {
    isCanEdit: true
  },
  didMount() {
  },
  didUpdate() {
  },
  didUnmount() { },
  methods: {
    preview(e) {
      dd.previewFileInDingTalk({
        corpId: dd.corpId,
        ...e.target.dataset.file
      })
    },
    showOperate() {
      if (this.props.isCanEdit) {
        this.setData({
          show: true
        })
      }
    },
    deleteFile(e) {
      // let data = event.target.dataset.file.id
      dd.confirm({
        title: '删除文件',
        content: '确认删除文件吗？',
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        success: (res) => {
          if (res.confirm) {
            this.props.deleteTaskFile()
          }
        }
      })
    },
    updateFile(e) {
      this.setData({
        show: false
      })
      dd.navigateTo({ url: `./../editFile/editFile?file=${JSON.stringify(e.target.dataset.file)}` })
    }
  },
});
